CGAL 6.1.2 - Quadtrees, Octrees, and Orthtrees: CGAL::Orthtree_traits_point< GeomTraits, PointRange, PointMap, hypercubic_nodes, dimension > Struct Template Reference

CGAL 6.1.2 - Quadtrees, Octrees, and Orthtrees

Loading...
Searching...
No Matches
List of all members
CGAL::Orthtree_traits_point< GeomTraits, PointRange, PointMap, hypercubic_nodes, dimension > Struct Template Reference
Reference Manual » Traits

`#include <CGAL/Orthtree_traits_point.h>`

## Inherits from

CGAL::Orthtree_traits_base< GeomTraits, dim >.

## Definition

template<typename GeomTraits, typename PointRange, typename PointMap = Identity_property_map<typename std::iterator_traits<typename PointRange::iterator>::value_type>, bool hypercubic_nodes = false, int dimension = Ambient_dimension< typename std::iterator_traits<typename PointRange::iterator>::value_type, GeomTraits >::value>
struct CGAL::Orthtree_traits_point< GeomTraits, PointRange, PointMap, hypercubic_nodes, dimension >

Traits class for defining an orthtree of points using the class `CGAL::Orthtree`.

Template Parameters

  GeomTraits | model of `Kernel`.
  PointRange | must be a model of `Range` whose value type is the key type of `PointMap` and whose iterator type is model of `RandomAccessIterator`
  PointMap | must be a model of `ReadablePropertyMap` whose value type is a point type from `GeomTraits` matching the current dimension
  dimension | the dimension of the ambient Euclidean space.

Warning
  The input point set is not copied. It is used directly and is rearranged by the `Orthtree`. Altering the point range after creating the orthtree will leave it in an invalid state.

Is model of
  `CollectionPartitioningOrthtreeTraits`

See also
  `CGAL::Octree`
  `CGAL::Quadtree`
  `CGAL::Orthtree_traits_base<GeomTraits, dimension>`

Examples
  Orthtree/orthtree_build.cpp.

## Types
using | Node_data = boost::iterator_range< typename PointRange::iterator >

## Additional Inherited Members
Public Types inherited from CGAL::Orthtree_traits_base< GeomTraits, dim >
using | Node_index = std::size_t
using | Kernel = GeomTraits
using | FT = typename GeomTraits::FT
using | Point_d = typename GeomTraits::Point_d
using | Bbox_d = typename GeomTraits::Iso_box_d
using | Sphere_d = typename GeomTraits::Sphere_d
using | Cartesian_const_iterator_d = typename GeomTraits::Cartesian_const_iterator_d
using | Adjacency = int
| Adjacency type.
Static Public Attributes inherited from CGAL::Orthtree_traits_base< GeomTraits, dim >
static constexpr int | dimension = dim